Package org.thymeleaf.extras.springsecurity5.util

## Class SpringSecurityVersionUtils

- Object
- - org.thymeleaf.extras.springsecurity5.util.SpringSecurityVersionUtils

-     public final class SpringSecurityVersionUtils
      extends Object

  Since:
    3.0.1
  Author:
    Daniel Fernández

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static int` | `getSpringSecurityVersionMajor()` |
    `static int` | `getSpringSecurityVersionMinor()` |
    `static boolean` | `isSpringSecurity30AtLeast()` |
    `static boolean` | `isSpringSecurity31AtLeast()` |
    `static boolean` | `isSpringSecurity32AtLeast()` |
    `static boolean` | `isSpringSecurity40AtLeast()` |
    `static boolean` | `isSpringSecurity41AtLeast()` |
    `static boolean` | `isSpringSecurity42AtLeast()` |
    `static boolean` | `isSpringSecurity50AtLeast()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSpringSecurityVersionMajor

          public static int getSpringSecurityVersionMajor()

    - #### getSpringSecurityVersionMinor

          public static int getSpringSecurityVersionMinor()

    - #### isSpringSecurity30AtLeast

          public static boolean isSpringSecurity30AtLeast()

    - #### isSpringSecurity31AtLeast

          public static boolean isSpringSecurity31AtLeast()

    - #### isSpringSecurity32AtLeast

          public static boolean isSpringSecurity32AtLeast()

    - #### isSpringSecurity40AtLeast

          public static boolean isSpringSecurity40AtLeast()

    - #### isSpringSecurity41AtLeast

          public static boolean isSpringSecurity41AtLeast()

    - #### isSpringSecurity42AtLeast

          public static boolean isSpringSecurity42AtLeast()

    - #### isSpringSecurity50AtLeast

          public static boolean isSpringSecurity50AtLeast()